<?
if (isset($_POST['msg']) && isset($user))
{
$msg=$_POST['msg'];
if (isset($_POST['translit']) && $_POST['translit']==1)$msg=translit($msg);

$mat=antimat($msg);
if ($mat)$err[]='В тексте сообщения обнаружен мат: '.$mat;

if (strlen2($msg)>512){$err[]='Сообщение слишком длинное';}
elseif (strlen2($msg)<2){$err[]='Короткое сообщение';}
elseif (mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_post` WHERE `id_user` = '$user[id]' AND `msg` = '".mysql_escape_string($msg)."' AND `time` > '".($time-300)."' LIMIT 1"),0)!=0){$err='Ваше сообщение повторяет предыдущее';}
elseif(!isset($err)){
if(isset($_POST['privat']))
{
   $priv=abs(intval($_POST['privat']));
}else{
   $priv=0;
}
mysql_query("INSERT INTO `chat_post` (`id_user`, `time`, `msg`, `room`, `privat`) values('$user[id]', '$time', '".my_esc($msg)."', '$room[id]', '$priv')");
mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
mysql_query("UPDATE `user` SET `akt_rating` = '".($user['akt_rating']+0.001)."' WHERE `id` = '$user[id]' LIMIT 1");
########## Реётинг активности#################
msg('Сообщение успешно добавлено');
}
}
if ($room['umnik']=='1')include 'inc/umnik.php';
if ($room['shutnik']=='1')include 'inc/shutnik.php';
err();

echo "<div class='fyt'><a href='/chat/room/$room[id]/".rand(1000,9999)."/'>Обновить</a> | <a href='/smiles.php'>Смайлы</a></div>\n";
echo "<div class='wwe'>";
echo "В комнате:\n";
$sql = mysql_query("SELECT `id_user` FROM `chat_who` WHERE `room` = '$room[id]'");
if ($sql==0){echo "Никого нет\n";}

while($us = mysql_fetch_assoc($sql))
{
$ank=get_user($us['id_user']);
echo "<a href='/info.php?id=$ank[id]'><span style='color:$ank[ncolor]'>$ank[nick]</span></a>";
}
echo "</div>\n";
if (isset($user))
{
echo "<form method='post' name='message' action='/chat/room/$room[id]/".rand(1000,9999)."/'>\n";
echo "Сообщение:<br />\n<textarea name=\"msg\"></textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit' value='1' /> Транслит</label><br />\n";
echo "<input value=\"Отправить\" type=\"submit\" />\n";
if (isset($user) && $user['id']=="1"){
echo '<br/>Правильный ответ: '.@$umnik_vopros['otvet'];
}
echo "</form>\n";
}
$k_post=mysql_result(mysql_query("SELECT COUNT(*) FROM `chat_post` WHERE `room` = '$room[id]' AND (`privat`='0'".(isset($user)?" OR `privat` = '$user[id]'":null).")"),0);
$k_page=k_page($k_post,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];

if ($k_post==0)
{
?>
<div class='noy'>Нет сообщений</div>
<?
}
$q=mysql_query("SELECT * FROM `chat_post` WHERE `room` = '$room[id]' AND (`privat`='0'".(isset($user)?" OR `privat` = '$user[id]'":null).") ORDER BY id DESC LIMIT $start, $set[p_str]");
while ($post = mysql_fetch_assoc($q))
{
if ($post['umnik_st']==0 && $post['shutnik']==0)
$ank=get_user($post['id_user']);
if($num==1){
echo "<div class='enk_div'>\n";
$num=0;
}else{
echo "<div class='enk2_div'>\n";
$num=1;}
if ($post['umnik_st']==0 && $post['shutnik']==0)
echo "".status($ank['id'])."";
elseif ($post['shutnik']==1)
echo "<img src='/style/themes/$set[set_them]/chat/14/shutnik.png' alt='' />\n";
elseif ($post['umnik_st']!=0)
echo "<img src='/style/themes/$set[set_them]/chat/14/umnik.png' alt='' />\n";

if($post['privat']==$user['id'])
{
$Te6e_cyka='<font color="darkred">[!п]</font>';
}else{
$Te6e_cyka='';
}
echo "  <td class='p_t'>\n";
if ($post['umnik_st']==0 && $post['shutnik']==0){
echo "<a href='/chat/room/$room[id]/".rand(1000,9999)."/$ank[id]/'><span style='color:$ank[ncolor]'>$ank[nick]</span></a>\n";
echo "".medal($ank['id'])." $Te6e_cyka (".vremja($post['time']).")<br />";}
elseif ($post['umnik_st']!=0)
echo "$set[chat_umnik] (".vremja($post['time']).")<br />\n";
elseif ($post['shutnik']==1)
echo "$set[chat_shutnik] (".vremja($post['time']).")<br />\n";
echo output_text($post['msg'])."<br />\n";
if (user_access('guest_delete'))
echo "<a href='/chat/delete.php?id=$post[id]'>Удалить</a><br />\n";

echo "</div>\n";
}
if ($k_page>1)str("/chat/room/$room[id]/".rand(1000,9999)."/?",$k_page,$page);
?>